ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Exts.Heap.FFIClosures_ProfilingEnabled

Synopsis

- data TSOFields = TSOFields {
  - tso_what_next :: WhatNext
  - tso_why_blocked :: WhyBlocked
  - tso_flags :: [TsoFlags]
  - tso_threadId :: Word64
  - tso_saved_errno :: Word32
  - tso_dirty :: Word32
  - tso_alloc_limit :: Int64
  - tso_tot_stack_size :: Word32
  - tso_prof :: Maybe StgTSOProfInfo
  }
- peekTSOFields :: (Ptr a -> IO (Maybe CostCentreStack)) -> Ptr tsoPtr -> IO TSOFields
- parseWhatNext :: Word16 -> WhatNext
- parseWhyBlocked :: Word16 -> WhyBlocked
- parseTsoFlags :: Word32 -> [TsoFlags]
- isSet :: Word32 -> Word32 -> Bool
- unset :: Word32 -> Word32 -> Word32
- data StackFields = StackFields {
  - stack_size :: Word32
  - stack_dirty :: Word8
  - stack_marking :: Word8
  - stack_sp :: Addr#
  }
- peekStackFields :: Ptr a -> IO StackFields

# Documentation

data TSOFields #

Constructors

TSOFields |

Fields

- tso_what_next :: WhatNext
- tso_why_blocked :: WhyBlocked
- tso_flags :: [TsoFlags]
- tso_threadId :: Word64
- tso_saved_errno :: Word32
- tso_dirty :: Word32
- tso_alloc_limit :: Int64
- tso_tot_stack_size :: Word32
- tso_prof :: Maybe StgTSOProfInfo

peekTSOFields :: (Ptr a -> IO (Maybe CostCentreStack)) -> Ptr tsoPtr -> IO TSOFields #

Get non-pointer fields from `StgTSO_` (`TSO.h`)

parseWhatNext :: Word16 -> WhatNext #

parseWhyBlocked :: Word16 -> WhyBlocked #

parseTsoFlags :: Word32 -> [TsoFlags] #

isSet :: Word32 -> Word32 -> Bool #

unset :: Word32 -> Word32 -> Word32 #

data StackFields #

Constructors

StackFields |

Fields

- stack_size :: Word32
- stack_dirty :: Word8
- stack_marking :: Word8
- stack_sp :: Addr#

peekStackFields :: Ptr a -> IO StackFields #

Get non-closure fields from `StgStack_` (`TSO.h`)